%global momorel 1
Name: DeviceKit-power
Summary: DeviceKit-power
Version: 008
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Libraries
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
NoSource: 0
URL: http://www.freedesktop.org/wiki/Software/hal

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: DeviceKit-devel
BuildPrereq: glib2-devel
BuildPrereq: dbus-devel
BuildPrereq: dbus-glib-devel
BuildPrereq: PolicyKit-devel

%description
DeviceKit-power is an abstraction for enumerating power devices,
listening to device events and querying history and statistics.  Any
application or service on the system can access the
org.freedesktop.DeviceKit.Power service via the system message bus.

%package devel
Summary: Headers and libraries for DeviceKit-power
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for DeviceKit-power.

%prep
%setup -q

%build
%configure --enable-man-pages --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{_libdir}/*.a
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DeviceKit.Power.conf
%{_sysconfdir}/udev/rules.d/95-devkit-power-csr.rules
%{_sysconfdir}/udev/rules.d/95-devkit-power-hid.rules
%{_sysconfdir}/udev/rules.d/95-devkit-power-wup.rules
%{_bindir}/devkit-power
%{_libdir}/libdevkit-power-gobject.so.*
%{_libexecdir}/devkit-power-daemon
%{_datadir}/PolicyKit/policy/org.freedesktop.devicekit.power.policy
%{_datadir}/PolicyKit/policy/org.freedesktop.devicekit.power.qos.policy
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.Device.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.QoS.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.Wakeups.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.DeviceKit.Power.service
%{_mandir}/man1/devkit-power.1.*
%{_mandir}/man7/DeviceKit-power.7.*
%{_mandir}/man8/devkit-power-daemon.8.*
%{_datadir}/gtk-doc/html/devkit-power

%files devel
%{_includedir}/DeviceKit-power
%{_libdir}/libdevkit-power-gobject.so
%{_libdir}/pkgconfig/devkit-power-gobject.pc

%changelog
* Tue Jun  9 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (008-1m)
- update 008

* Fri May 22 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (007-1m)
- update 007

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (006-1m)
- initial build
